# Raumplaner.py

from grafikfenster import *

from schrank import Schrank

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        self.TestAnwendung()
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global  schrank1,schrank2,schrank3
        print('global:  schrank1,schrank2,schrank3')
        schrank1=Schrank(50,30,sichtbar=True)
        schrank2=Schrank(50,30,sichtbar=True)
        schrank3=Schrank(50,30,sichtbar=True)
        print ('schrank1,schrank2,schrank3 mit (b,t)=(60,37) an Position (50/30)')
        print ('Korrigieren Sie die Positionen!')

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=True)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
